GST Challan History List
GET
https://apisandbox.whitebooks.in/payment/chllnlstAs per SRS, Taxpayer can view the challan history through GSP after logging in to the account.TaxPayer need to provide the inputs for parameters (from date, to date) along with GSTIN.GSP invoke this interface to get the Challan history for the period and GST Backend system returns the Challan History Details with CPIN, Expiry Date, Creation Date, Total amount etc.
Parameters
query parameters
gstinstringrequiredGSTIN of the taxpayer
fromdatestringrequiredFrom Date (DD-MM-YYYY,20-12-2016)
todatestringrequiredTo Date (DD-MM-YYYY,20-12-2016)
emailstringrequiredEmail
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/payment/chllnlst. Required parameters: gstin (query parameter), fromdate (query parameter), todate (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Get Challan History (GET
/payment/chllnlst), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).As per SRS, Taxpayer can view the challan history through GSP after logging in to the account.TaxPayer need to provide the inputs for parameters (from date, to date) along with GSTIN.GSP invoke this interface to get the Challan history for the period and GST Backend system returns the Challan History Details with CPIN, Expiry Date, Creation Date, Total amount etc.
No example available.